> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/faceliveness/release-notes.md).

# Release Notes

### Feb 09, 2026

#### `FaceLiveness 7.4.0`

{% hint style="warning" %}
Versions earlier than 7.4.0 will result iProov Liveness to become inoperable as of March 12, 2026. To ensure proper functionality and service continuity, please use version 7.4.0 or later.
{% endhint %}

**Updates**

* Minimum supported iOS version updated to **15.0+**.
* Updated iProov dependency to **13.1.0**.

**Important Notice**

* Reverse proxy support will be discontinued in a future release. A necessary iProov-related update is required to keep iProov working and prevent certificate issues. **After March 15, 2026, Faceliveness and Faceauth services could be unavailable.**

### Jun 30, 2025

#### `Faceliveness 7.3.0`

**Updates**

* We started the deprecation process for standalone modules, please migrate to [CafSDK](/caf-sdk/ios/getting-started-with-the-sdk-2.md)

## April 15, 2025

### `FaceLiveness 7.2.1`

#### Updates

* Implementation new method

  `.setCustomLocalization(named: String?)`

  to customize iproov strings

## March 31, 2025

### `FaceLiveness 7.1.0`

#### Updates

* Implementation of a new analytics route

## March 17, 2025

### `FaceLiveness 7.0.4`

#### Fixes

* Fixed delegate multiple returns in case of error or failure, will return only the main issue of error.

## March 14, 2025

### `FaceLiveness 7.0.3`

#### Fixes

* Fixed internal analytics issues.

## March 11, 2025

### `FaceLiveness 7.0.1`

#### Fixes

* Fixed internal parsing issues.

## February 20, 2025

### `FaceLiveness 7.0.0`

#### Highlights

* Added `didFinishWithFailure` event to `FaceLivenessDelegate`. See them [here](/caf-sdk/ios/standalone-modules/faceliveness.md#delegate-implementation).

#### Breaking Changes

* Added new errors to be handled. See them [here](/caf-sdk/ios/standalone-modules/faceliveness.md#errortype).
* Added new failures to be handled. See them [here](/caf-sdk/ios/standalone-modules/faceliveness.md#failure-types).
* Added new analytics metrics

## December 11, 2024

### `FaceLiveness 6.3.2`

#### Updates

* Analytics improvement
* Fix delegate events for `Flutter` version

## December 04, 2024

### `FaceLiveness 6.3.0`

#### Updates

* Analytics Improvement
* Dependency on CafSolutions `1.0.1`

## November 25, 2024

### `FaceLiveness 6.2.2`

#### Fixes

* Fix multiple instances call from Faceliveness initialization

## November 4, 2024

### `FaceLiveness 6.2.1`

#### Fixes

* Fix reverse proxy implementation

## October 28, 2024

### `FaceLiveness 6.2.0`

#### Updates

* Created methods to make implementing reverse proxy possible.
* Optimized metrics collecting to ensure data security.

#### Breaking changes

* Updating `Iproov` to `12.2.1`

## September 11th, 2024

### `FaceLiveness 6.1.0`

#### Updates

* Server request timeout updated to 20s.

## September 4th, 2024

### `FaceLiveness 6.0.0`

#### Breaking Changes

* Updated public models to unify Caf Products

#### Updates

* iOS minimum deployment target changed from `12.0` to `13.0`
* **FingerPrint** SDK updated from `2.2.0` to `2.6.0`
* **Iproov** SDK updated from `11.0.3` to `12.0.0`
* Improved Analytics
* New **CafSolutions** module dependency

## July 22th, 2024

### `FaceLiveness 5.0.1`

#### Fixes

* Fix memory retention issues in `FaceLivenessSDK`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/faceliveness/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
